///<Add DLL>
///<DllPath>$ModuleDir$Scenario_508_Ring_Resonator.dll</DllPath>
///</Add DLL>

using System;
using System.Collections.Generic;
using System.Drawing;

using VirtualLabAPI.Core.Common;
using VirtualLabAPI.Core.FieldRepresentations;
using VirtualLabAPI.Core.Numerics;
using VirtualLabAPI.Core.Modules;
using Scenario507_Ring_Resonator;

public class VLModule : IVLModule {
    public void Run() {
      RingResonatorSimulationFoxLi simulation = new RingResonatorSimulationFoxLi();
      simulation.MaximumIteration = 90;
      simulation.Tolerance = 1E-6;
      simulation.normalizeField_Power = true;
      simulation.InstableAnalysis = false;
      simulation.ShowLPDForUnstableAnalysis = false;
      simulation.IncrementStoredFields = 5;
      simulation.roundtripPower_on = false;
      simulation.PerformFoxLiSiumulation();
    }
}
